/*!****************************************************************************************************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js!./node_modules/postcss-loader/dist/cjs.js??ruleSet[1].rules[2].use[2]!./node_modules/sass-loader/dist/cjs.js??ruleSet[1].rules[2].use[3]!./src/scss/index.scss ***!
  \****************************************************************************************************************************************************************************************************************/

@keyframes rotate {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}
.shop-regions-root .shop-regions-window-wrapper_open {
  background: rgba(0, 0, 0, 0.7);
}
.shop-regions-root .shop-regions-window-wrapper_open .shop-regions-window__close-btn {
  width: 32px;
  height: 32px;
  background-image: url("data:image/svg+xml,%3Csvg xmlns=%27http://www.w3.org/2000/svg%27 width=%2732%27 height=%2732%27 viewBox=%270 0 32 32%27 fill=%27none%27%3E%3Crect x=%271%27 y=%271%27 width=%2730%27 height=%2730%27 rx=%2715%27 fill=%27white%27/%3E%3Crect x=%271%27 y=%271%27 width=%2730%27 height=%2730%27 rx=%2715%27 stroke=%27%23C39DFF%27 stroke-width=%272%27/%3E%3Crect x=%271%27 y=%271%27 width=%2730%27 height=%2730%27 rx=%2715%27 stroke=%27%2357CAF3%27 stroke-width=%272%27/%3E%3Crect x=%271%27 y=%271%27 width=%2730%27 height=%2730%27 rx=%2715%27 stroke=%27%2385BCFF%27 stroke-width=%272%27/%3E%3Cg clip-path=%27url%28%23clip0_535_93311%29%27%3E%3Cpath d=%27M11 19.9831C11.3414 20.3244 11.6741 20.6569 12.0088 20.9915C13.3339 19.667 14.6629 18.3385 15.9902 17.0122C17.3243 18.3458 18.6543 19.6752 19.9797 21C20.3256 20.6545 20.6583 20.322 20.9942 19.9862C19.6716 18.6641 18.3413 17.3347 17.0123 16.0062C18.3489 14.6702 19.6776 13.342 21 12.0202C20.6592 11.6795 20.3272 11.3476 19.9945 11.0151C18.6752 12.3339 17.3452 13.6633 16.0129 14.9951C14.6726 13.6554 13.3421 12.3254 12.0161 11C11.6765 11.3395 11.3438 11.6716 11.0079 12.0072C12.3321 13.3308 13.6623 14.6605 14.9938 15.9911C13.6563 17.328 12.3257 18.658 11 19.9831Z%27 fill=%27%23070707%27/%3E%3C/g%3E%3Cdefs%3E%3CclipPath id=%27clip0_535_93311%27%3E%3Crect width=%2710%27 height=%2710%27 fill=%27white%27 transform=%27matrix%28-1 0 0 1 21 11%29%27/%3E%3C/clipPath%3E%3C/defs%3E%3C/svg%3E");
  background-size: contain;
  color: transparent;
  background-position: center;
  background-repeat: no-repeat;
  right: -8px;
  top: -8px;
  transition: background-image 0.3s;
  opacity: 1;
}
.shop-regions-root .shop-regions-window-wrapper_open .shop-regions-window__close-btn:hover {
  background-image: url("data:image/svg+xml,%3Csvg xmlns=%27http://www.w3.org/2000/svg%27 width=%2732%27 height=%2732%27 viewBox=%270 0 32 32%27 fill=%27none%27%3E%3Crect x=%271%27 y=%271%27 width=%2730%27 height=%2730%27 rx=%2715%27 fill=%27%23C39DFF%27/%3E%3Crect x=%271%27 y=%271%27 width=%2730%27 height=%2730%27 rx=%2715%27 fill=%27%2357CAF3%27/%3E%3Crect x=%271%27 y=%271%27 width=%2730%27 height=%2730%27 rx=%2715%27 fill=%27%2385BCFF%27/%3E%3Crect x=%271%27 y=%271%27 width=%2730%27 height=%2730%27 rx=%2715%27 stroke=%27%23C39DFF%27 stroke-width=%272%27/%3E%3Crect x=%271%27 y=%271%27 width=%2730%27 height=%2730%27 rx=%2715%27 stroke=%27%2357CAF3%27 stroke-width=%272%27/%3E%3Crect x=%271%27 y=%271%27 width=%2730%27 height=%2730%27 rx=%2715%27 stroke=%27%2385BCFF%27 stroke-width=%272%27/%3E%3Cg clip-path=%27url%28%23clip0_535_92952%29%27%3E%3Cpath d=%27M11 19.9831C11.3414 20.3244 11.6741 20.6569 12.0088 20.9915C13.3339 19.667 14.6629 18.3385 15.9902 17.0122C17.3243 18.3458 18.6543 19.6752 19.9797 21C20.3256 20.6545 20.6583 20.322 20.9942 19.9862C19.6716 18.6641 18.3413 17.3347 17.0123 16.0062C18.3489 14.6702 19.6776 13.342 21 12.0202C20.6592 11.6795 20.3272 11.3476 19.9945 11.0151C18.6752 12.3339 17.3452 13.6633 16.0129 14.9951C14.6726 13.6554 13.3421 12.3254 12.0161 11C11.6765 11.3395 11.3438 11.6716 11.0079 12.0072C12.3321 13.3308 13.6623 14.6605 14.9938 15.9911C13.6563 17.328 12.3257 18.658 11 19.9831Z%27 fill=%27%23070707%27/%3E%3C/g%3E%3Cdefs%3E%3CclipPath id=%27clip0_535_92952%27%3E%3Crect width=%2710%27 height=%2710%27 fill=%27white%27 transform=%27matrix%28-1 0 0 1 21 11%29%27/%3E%3C/clipPath%3E%3C/defs%3E%3C/svg%3E");
}
.shop-regions-root .shop-regions-window-wrapper_open .shop-regions-window-wrapper__window {
  border-radius: 24px;
  background-color: var(--surface-color);
  padding: 40px;
  width: 784px;
  margin: 0;
  font-family: "Manrope", sans-serif;
}
.shop-regions-root .shop-regions-window-wrapper_open .shop-regions-window__header {
  color: #fff;
  font-size: 32px;
  line-height: 44px;
  margin-bottom: 16px;
  font-weight: 600;
}
.shop-regions-root .shop-regions-window-wrapper_open .shop-regions-window__sub-header,
.shop-regions-root .shop-regions-window-wrapper_open .shop-regions-cities__not-found-text {
  font-size: 16px;
  line-height: 24px;
  opacity: 0.8;
  margin-bottom: 16px;
  color: #fff;
}
.shop-regions-root .shop-regions-window-wrapper_open .shop-regions-window__regions_all .shop-regions-window__sub-header {
  font-size: 24px;
  line-height: 28px;
  margin-bottom: 16px;
}
.shop-regions-root .shop-regions-window-wrapper_open .shop-regions-window__search,
.shop-regions-root .shop-regions-window-wrapper_open .shop-regions-window__regions_popular,
.shop-regions-root .shop-regions-window-wrapper_open .shop-regions-window__regions_all {
  padding: 0;
  margin-bottom: 16px;
  padding-bottom: 16px;
}
.shop-regions-root .shop-regions-window-wrapper_open .shop-regions-window-search {
  width: 100%;
  padding: 0;
}
.shop-regions-root .shop-regions-window-wrapper_open .shop-regions-window-search::before {
  content: url("data:image/svg+xml,%3Csvg xmlns=%27http://www.w3.org/2000/svg%27 width=%2724%27 height=%2724%27 viewBox=%270 0 24 24%27 fill=%27none%27%3E%3Cpath d=%27M14.9521 14.9642L19 19M16.6667 10.8333C16.6667 14.055 14.055 16.6667 10.8333 16.6667C7.61167 16.6667 5 14.055 5 10.8333C5 7.61167 7.61167 5 10.8333 5C14.055 5 16.6667 7.61167 16.6667 10.8333Z%27 stroke=%27%23A2A2A2%27 stroke-linecap=%27round%27 stroke-linejoin=%27round%27/%3E%3C/svg%3E");
  width: 24px;
  height: 24px;
  position: absolute;
  left: 16px;
  top: 12px;
}
.shop-regions-root .shop-regions-window-wrapper_open .shop-regions-window-search__input {
  padding: 14px 48px;
  border-radius: 24px;
  background-color: var(--background-color);
  color: #fff;
  border: none;
  font-size: 14px;
  line-height: 21px;
  height: 48px;
}
.shop-regions-root .shop-regions-window-wrapper_open .shop-regions__link {
  text-decoration: none;
  opacity: 0.8;
  font-weight: 400;
}
.shop-regions-root .shop-regions-window-wrapper_open .shop-regions__link:hover {
  opacity: 1;
}
.shop-regions-root .shop-regions-window-wrapper_open .shop-regions-cities-block__header {
  font-size: 24px;
  line-height: 28px;
  font-weight: 600;
  margin-bottom: 16px;
  color: #fff;
}
.shop-regions-root .shop-regions-window-wrapper_open .shop-regions-cities__city,
.shop-regions-root .shop-regions-window-wrapper_open .shop-regions-action-link {
  color: #fff;
  opacity: 0.8;
  transition: color 0.3s, opacity 0.3s;
}
.shop-regions-root .shop-regions-window-wrapper_open .shop-regions-cities__city:hover,
.shop-regions-root .shop-regions-window-wrapper_open .shop-regions-action-link:hover {
  color: var(--primary-color);
  opacity: 1;
}
.shop-regions-root .shop-regions-window-wrapper_open .shop-regions-action-link {
  border-bottom: 1px solid;
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(-360deg);
  }
}
/* Dialogs
---------- */
.dialog {
  display: none;
}

.dialog-background {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: var(--dialog-background-bg);
  opacity: 0.8;
  filter: alpha(opacity=80);
  z-index: 99;
}

.dialog-window .cart {
  position: fixed;
  top: 5%;
  left: 0;
  right: 0;
  opacity: 1;
  z-index: 100;
  overflow-x: hidden;
  margin: 0 auto;
  text-align: left;
  width: 600px;
  background: var(--surface-color);
  padding: 20px 30px 30px;
  max-height: calc(100vh - 10%);
  box-shadow: var(--shadow1);
  border-radius: var(--element-border-radius);
}

.dialog-window .cart img {
  border-radius: var(--element-border-radius);
}

.dialog-window .cart .purchase {
  display: block;
}

.dialog-window .dialog-close {
  float: right;
  color: var(--gray4);
  text-decoration: none;
  font-size: 200%;
  margin-top: 9px;
}
.theme-editor-trigger-wrapper {
  display: none;
}

.footer {
  padding-top: 80px;
}

.footer__main {
  background-color: var(--surface-color);
  padding: 64px 0;
}
.footer__main .footer__container {
  display: flex;
  justify-content: space-between;
  gap: 24px;
}
.footer__main .footer__col {
  flex: 1;
  display: flex;
  flex-direction: column;
  gap: 40px;
}

.footer__bottom {
  padding: 24px 0;
}
.footer__bottom .footer__container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 24px;
}

.footer__logo {
  width: clamp(160px, -265px + 35.4166666667vw, 245px);
}
.footer__logo img {
  width: 100%;
  -o-object-fit: contain;
     object-fit: contain;
}

.footer__key {
  font-size: 14px;
  line-height: 21px;
  opacity: 0.8;
  margin-bottom: 8px;
}

.footer__value {
  font-size: 18px;
  line-height: 24px;
  display: flex;
  align-items: center;
  gap: 8px;
}

.footer__imagebox {
  width: clamp(123px, -242px + 30.4166666667vw, 196px);
  height: 100%;
  border-radius: 16px;
  overflow: hidden;
}

.footer__img {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
}

.footer__socials {
  display: flex;
  gap: 16px;
}

.footer__label {
  font-size: 18px;
  line-height: 24px;
  margin-bottom: 16px;
}

.footer__menu {
  display: flex;
  flex-direction: column;
  gap: 8px;
}
.footer__menu .menu__item {
  opacity: 0.8;
  transition: opacity 0.3s;
}
.footer__menu .menu__item:hover {
  opacity: 1;
}

.footer__copyright span {
  opacity: 0.8;
}

.footer__author {
  display: flex;
  gap: 12px;
  align-items: center;
}
.about {
  padding: 100px 0;
}

.about__container {
  display: flex;
  gap: 24px;
  justify-content: space-between;
  align-items: center;
}

.about__imagebox {
  flex: 1;
  border-radius: 24px;
}

.about__img {
  width: 100%;
  -o-object-fit: contain;
     object-fit: contain;
}

.about__content {
  flex: 1;
}

.about__wrapper {
  max-width: 540px;
  margin-left: auto;
}

.about__title {
  font-size: 40px;
  line-height: 44px;
  font-weight: 400;
  padding-right: 24px;
}
.about__title {
  margin-bottom: 32px;
}

.about__text {
  margin-bottom: 32px;
}
.about__text p:not(:last-child) {
  margin-bottom: 24px;
}

.about__logo {
  height: 47px;
  margin-bottom: 32px;
}

.about__link {
  padding: 12px 16px;
  border-radius: 16px;
  display: flex;
  gap: 8px;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  position: relative;
  -webkit-user-select: none;
     -moz-user-select: none;
          user-select: none;
  transition: 0.3s ease-in-out;
  background-color: #8E58E4;
}
.about__link:hover {
  background-color: #7483F1;
  box-shadow: 0px 0px 28px 0px rgba(87, 147, 243, 0.5019607843);
  color: #fff;
}
.about__link span {
  color: #FFF;
  font-size: 14px;
  line-height: 21px;
}
.about__link {
  width: 212px;
}

.works {
  margin-bottom: 80px;
}

.works__top {
  display: flex;
  justify-content: space-between;
  margin: 40px 0 24px;
}

.works__title {
  font-size: 40px;
  line-height: 44px;
  font-weight: 400;
  padding-right: 24px;
}

.works__controls {
  display: flex;
  gap: 16px;
}

.works__prev,
.works__next {
  width: 56px;
  height: 56px;
  -webkit-user-select: none;
     -moz-user-select: none;
          user-select: none;
  cursor: pointer;
  transition: var(--transition-opacity);
}
.works__prev.swiper-button-disabled,
.works__next.swiper-button-disabled {
  pointer-events: none;
  opacity: 0.2;
}
.works__prev svg,
.works__next svg {
  width: 100%;
  height: 100%;
}

.works__slider.swiper {
  padding-top: 16px;
  overflow: visible;
  height: clamp(323px, -342px + 55.4166666667vw, 456px);
}

.works__slide.swiper-slide {
  width: calc(50% - 12px);
  border-radius: 24px;
  overflow: hidden;
}
.works__slide.swiper-slide:not(:last-child) {
  margin-right: 24px;
}

.works__img {
  width: 100%;
  -o-object-fit: contain;
     object-fit: contain;
}

.partners {
  margin-bottom: 80px;
}

.partners__top {
  display: flex;
  justify-content: space-between;
  margin: 40px 0 24px;
}

.partners__title {
  font-size: 40px;
  line-height: 44px;
  font-weight: 400;
  padding-right: 24px;
}

.partners__list {
  display: flex;
  gap: 24px;
  flex-wrap: wrap;
}

.partners__controls {
  display: none;
}

.partners__item {
  width: calc(25% - 18px);
  border-radius: 24px;
  background-color: var(--surface-color);
  padding: 40px;
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 170px;
  height: 170px;
}

.partners__img {
  width: 100%;
  height: 100%;
  -o-object-fit: contain;
     object-fit: contain;
}

.banner {
  padding: 44px 0;
}

.banner__wrapper {
  border-radius: 24px;
  background-color: var(--surface-color);
  padding: 44px 54px;
  display: flex;
  gap: 24px;
  justify-content: space-between;
  position: relative;
  overflow: hidden;
}

.banner__bg {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
}

.banner__col {
  flex: 1;
  z-index: 1;
}

.banner__title {
  font-size: 40px;
  line-height: 44px;
  font-weight: 400;
  padding-right: 24px;
}

.banner__content {
  max-width: 422px;
}

.banner__text {
  margin-bottom: 24px;
}

.banner__link {
  padding: 12px 16px;
  border-radius: 16px;
  display: flex;
  gap: 8px;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  position: relative;
  -webkit-user-select: none;
     -moz-user-select: none;
          user-select: none;
  transition: 0.3s ease-in-out;
  background-color: #8E58E4;
}
.banner__link:hover {
  background-color: #7483F1;
  box-shadow: 0px 0px 28px 0px rgba(87, 147, 243, 0.5019607843);
  color: #fff;
}
.banner__link span {
  color: #FFF;
  font-size: 14px;
  line-height: 21px;
}
.banner__link {
  width: 180px;
}
@media (max-width: 1400px) {
  .header__nav-list {
    gap: 24px;
  }
}
@media (max-width: 1200px) {
  html {
    font-size: 14px;
    line-height: 21px;
  }
  .container {
    padding: 0px 24px;
  }
  .slider__prev,
  .slider__next {
    width: 48px;
    height: 48px;
  }
  .cookie {
    left: 24px;
    bottom: 24px;
  }
  .cookie__wrapper {
    max-width: 641px;
  }
  .cookie__imagebox {
    width: 117px;
    min-width: 117px;
    height: 117px;
  }
  .cookie__btn {
    padding: 8px 16px;
  }
  .cookie__btn {
    width: 149px;
    height: 37px;
    border-radius: 8px;
  }
  .header__city .shop-regions-ip-analyzer__button {
    padding: 8px 16px;
  }
  .header__city .shop-regions-confirm-window__confirm-btn {
    padding: 8px 16px;
  }
  .header__city .shop-regions-confirm-window__choose-another-btn {
    padding: 8px 16px;
  }
  .header__top {
    font-size: 12px;
    line-height: 16px;
  }
  .header__top .header__container {
    height: 32px;
  }
  .header__city {
    font-size: 12px;
    line-height: 16px;
  }
  .header__dropdown {
    font-size: 14px;
    line-height: 21px;
  }
  .header__avatar {
    width: 16px;
    height: 16px;
  }
  .header__middle .header__container {
    height: 62px;
  }
  .header__search {
    padding: 9px 12px;
  }
  .header__button {
    width: 42px;
    height: 42px;
  }
  .header__bottom .header__container {
    height: 52px;
  }
  .catalog__trigger {
    padding: 8px 16px;
  }
  .catalog__trigger {
    padding: 8px 12px;
  }
  .catalog__trigger span {
    font-size: 14px;
    line-height: 21px;
  }
  .header__menu--button .menu__item {
    padding: 8px 16px;
  }
  .header__menu .menu__item {
    padding: 8px 12px;
  }
  .wa-signup-form-wrapper {
    padding: 0px 24px;
  }
  .wa-signup-form-wrapper form input[type=submit],
  .wa-done-signup-button {
    padding: 8px 16px;
  }
  .wa-login-form-wrapper {
    padding: 0px 24px;
  }
  .wa-login-form-wrapper .js-wa-form-item button,
  .wa-login-form-wrapper .wa-login-submit {
    padding: 8px 16px;
  }
  .products__grid {
    gap: 40px 16px;
  }
  .products__grid .thumbs__slide {
    width: calc(33.33% - 11px);
  }
  .products__grid--full .thumbs__slide {
    width: calc(25% - 12px);
  }
  .thumbs__top {
    margin: 24px 0 16px;
  }
  .thumbs__title {
    font-size: 32px;
    line-height: 44px;
  }
  .thumbs__prev,
  .thumbs__next {
    width: 48px;
    height: 48px;
  }
  .thumbs__slide.swiper-slide {
    width: calc(25% - 12px);
  }
  .thumbs__slide.swiper-slide:not(:last-child) {
    margin-right: 16px;
  }
  .thumbs__images {
    border-radius: 16px;
  }
  .thumbs__images::before {
    border-radius: 16px;
  }
  .thumbs__price .price {
    font-size: 18px;
    line-height: 24px;
  }
  .thumbs__price .compare-at-price {
    font-size: 12px;
    line-height: 18px;
  }
  .thumbs__name {
    height: 63px;
  }
  .thumbs__name h5 {
    font-size: 14px;
    line-height: 21px;
  }
  .product-item .product_image_slider {
    border-radius: 16px;
  }
  .product-item .product_image_slider .image-item::before {
    border-radius: 16px;
  }
  .add-to-cart__button {
    padding: 8px 16px;
  }
  .posts__top {
    margin: 24px 0 16px;
  }
  .posts__title {
    font-size: 32px;
    line-height: 44px;
  }
  .posts__prev,
  .posts__next {
    width: 48px;
    height: 48px;
  }
  .post__item,
  .post__item.swiper-slide {
    margin: 16px 16px 24px 0;
    width: calc(25% - 16px);
  }
  .footer__main {
    padding: 40px 0;
  }
  .footer__bottom {
    padding: 16px 0;
  }
  .footer__value {
    font-size: 16px;
    line-height: 24px;
  }
  .footer__label {
    font-size: 16px;
    line-height: 24px;
  }
  .hero {
    margin: 24px 0;
  }
  .hero__title {
    font-size: 24px;
    line-height: 32px;
    margin-bottom: 8px;
  }
  .hero__description {
    margin-bottom: 24px;
  }
  .hero__button {
    padding: 8px 16px;
  }
  .hero__prev {
    left: 24px;
  }
  .hero__next {
    right: 24px;
  }
  .advantages {
    margin-bottom: 56px;
  }
  .advantages__row {
    gap: 16px;
  }
  .advantages__item {
    border-radius: 16px;
    padding: 16px 24px;
  }
  .advantages__name {
    font-size: 36px;
    line-height: 43px;
    margin-bottom: 6px;
    padding: 0 24px;
  }
  .advantages__name::before {
    left: 20px;
  }
  .advantages__text {
    padding: 0 0 0 24px;
  }
  .about {
    padding: 40px 0;
  }
  .about__title {
    font-size: 32px;
    line-height: 44px;
  }
  .about__title {
    margin-bottom: 16px;
  }
  .about__text {
    margin-bottom: 16px;
  }
  .about__text p:not(:last-child) {
    margin-bottom: 21px;
  }
  .about__logo {
    height: 40px;
    margin-bottom: 16px;
  }
  .about__link {
    padding: 8px 16px;
  }
  .about__link {
    width: 193px;
  }
  .works__top {
    margin: 24px 0 16px;
  }
  .works__title {
    font-size: 32px;
    line-height: 44px;
  }
  .works__prev,
  .works__next {
    width: 48px;
    height: 48px;
  }
  .partners__top {
    margin: 24px 0 16px;
  }
  .partners__title {
    font-size: 32px;
    line-height: 44px;
  }
  .partners__list {
    gap: 16px;
  }
  .partners__item {
    width: calc(25% - 12px);
    min-height: 130px;
    height: 130px;
  }
  .banner__wrapper {
    padding: 30px 50px;
  }
  .banner__title {
    font-size: 32px;
    line-height: 44px;
  }
  .banner__link {
    padding: 8px 16px;
  }
  .banner__link {
    width: 156px;
  }
}
@media (max-width: 768px) {
  html {
    min-width: 350px;
  }
  main {
    min-height: calc(100vh - 55px - 193px);
  }
  .container {
    padding: 0px 16px;
  }
  .slider__controls {
    margin-top: 24px;
    justify-content: flex-end;
  }
  .cookie {
    left: 16px;
    width: calc(100% - 32px);
    bottom: 94px;
  }
  .cookie__wrapper {
    max-width: none;
  }
  .cookie__imagebox {
    display: none;
  }
  .cookie__btn {
    border-radius: 12px;
  }
  .header__city .shop-regions-ip-analyzer__button {
    border-radius: 12px;
  }
  .header__city .shop-regions__button-close {
    width: 40px;
    height: 40px;
    right: -12px;
    top: -12px;
    background-image: url("data:image/svg+xml,%3Csvg xmlns=%27http://www.w3.org/2000/svg%27 width=%2740%27 height=%2740%27 viewBox=%270 0 40 40%27 fill=%27none%27%3E%3Crect x=%271%27 y=%271%27 width=%2738%27 height=%2738%27 rx=%2719%27 fill=%27white%27/%3E%3Crect x=%271%27 y=%271%27 width=%2738%27 height=%2738%27 rx=%2719%27 stroke=%27%23C39DFF%27 stroke-width=%272%27/%3E%3Crect x=%271%27 y=%271%27 width=%2738%27 height=%2738%27 rx=%2719%27 stroke=%27%2357CAF3%27 stroke-width=%272%27/%3E%3Crect x=%271%27 y=%271%27 width=%2738%27 height=%2738%27 rx=%2719%27 stroke=%27%2385BCFF%27 stroke-width=%272%27/%3E%3Cg clip-path=%27url%28%23clip0_566_28177%29%27%3E%3Cpath d=%27M15 23.9831C15.3414 24.3244 15.6741 24.6569 16.0088 24.9915C17.3339 23.667 18.6629 22.3385 19.9902 21.0122C21.3243 22.3458 22.6543 23.6752 23.9797 25C24.3256 24.6545 24.6583 24.322 24.9942 23.9862C23.6716 22.6641 22.3413 21.3347 21.0123 20.0062C22.3489 18.6702 23.6776 17.342 25 16.0202C24.6592 15.6795 24.3272 15.3476 23.9945 15.0151C22.6752 16.3339 21.3452 17.6633 20.0129 18.9951C18.6726 17.6554 17.3421 16.3254 16.0161 15C15.6765 15.3395 15.3438 15.6716 15.0079 16.0072C16.3321 17.3308 17.6623 18.6605 18.9938 19.9911C17.6563 21.328 16.3257 22.658 15 23.9831Z%27 fill=%27%23070707%27/%3E%3C/g%3E%3Cdefs%3E%3CclipPath id=%27clip0_566_28177%27%3E%3Crect width=%2710%27 height=%2710%27 fill=%27white%27 transform=%27matrix%28-1 0 0 1 25 15%29%27/%3E%3C/clipPath%3E%3C/defs%3E%3C/svg%3E");
  }
  .header__city .shop-regions-confirm-window__close-btn {
    width: 40px;
    height: 40px;
    right: -12px;
    top: -12px;
    background-image: url("data:image/svg+xml,%3Csvg xmlns=%27http://www.w3.org/2000/svg%27 width=%2740%27 height=%2740%27 viewBox=%270 0 40 40%27 fill=%27none%27%3E%3Crect x=%271%27 y=%271%27 width=%2738%27 height=%2738%27 rx=%2719%27 fill=%27white%27/%3E%3Crect x=%271%27 y=%271%27 width=%2738%27 height=%2738%27 rx=%2719%27 stroke=%27%23C39DFF%27 stroke-width=%272%27/%3E%3Crect x=%271%27 y=%271%27 width=%2738%27 height=%2738%27 rx=%2719%27 stroke=%27%2357CAF3%27 stroke-width=%272%27/%3E%3Crect x=%271%27 y=%271%27 width=%2738%27 height=%2738%27 rx=%2719%27 stroke=%27%2385BCFF%27 stroke-width=%272%27/%3E%3Cg clip-path=%27url%28%23clip0_566_28177%29%27%3E%3Cpath d=%27M15 23.9831C15.3414 24.3244 15.6741 24.6569 16.0088 24.9915C17.3339 23.667 18.6629 22.3385 19.9902 21.0122C21.3243 22.3458 22.6543 23.6752 23.9797 25C24.3256 24.6545 24.6583 24.322 24.9942 23.9862C23.6716 22.6641 22.3413 21.3347 21.0123 20.0062C22.3489 18.6702 23.6776 17.342 25 16.0202C24.6592 15.6795 24.3272 15.3476 23.9945 15.0151C22.6752 16.3339 21.3452 17.6633 20.0129 18.9951C18.6726 17.6554 17.3421 16.3254 16.0161 15C15.6765 15.3395 15.3438 15.6716 15.0079 16.0072C16.3321 17.3308 17.6623 18.6605 18.9938 19.9911C17.6563 21.328 16.3257 22.658 15 23.9831Z%27 fill=%27%23070707%27/%3E%3C/g%3E%3Cdefs%3E%3CclipPath id=%27clip0_566_28177%27%3E%3Crect width=%2710%27 height=%2710%27 fill=%27white%27 transform=%27matrix%28-1 0 0 1 25 15%29%27/%3E%3C/clipPath%3E%3C/defs%3E%3C/svg%3E");
  }
  .header__city .shop-regions-confirm-window__confirm-btn {
    border-radius: 12px;
  }
  .header__city .shop-regions-confirm-window__choose-another-btn {
    border-radius: 12px;
  }
  .header__search {
    margin: 16px 0;
    background-color: var(--background-color);
  }
  .search__card {
    position: relative;
    z-index: 1;
    margin-bottom: 24px;
  }
  .search__card .search__block {
    position: relative;
    border: none;
    border-radius: 0;
    top: 0;
    left: 0;
    width: 100%;
    padding: 0;
    box-shadow: none;
  }
  .search__card .search__bottom::before {
    display: none;
  }
  .search__card .search__bottom::after {
    content: "";
    height: 1px;
    background-color: rgba(255, 255, 255, 0.4);
    width: calc(100% - 32px);
    position: absolute;
    bottom: -12px;
    left: 16px;
  }
  .catalog__trigger {
    border-radius: 12px;
  }
  .header__menu--button .menu__item {
    border-radius: 12px;
  }
  .header-fixed {
    display: none;
  }
  .shop-regions-root .shop-regions-window-wrapper_open .shop-regions-window__close-btn {
    width: 40px;
    height: 40px;
    right: -12px;
    top: -12px;
    background-image: url("data:image/svg+xml,%3Csvg xmlns=%27http://www.w3.org/2000/svg%27 width=%2740%27 height=%2740%27 viewBox=%270 0 40 40%27 fill=%27none%27%3E%3Crect x=%271%27 y=%271%27 width=%2738%27 height=%2738%27 rx=%2719%27 fill=%27white%27/%3E%3Crect x=%271%27 y=%271%27 width=%2738%27 height=%2738%27 rx=%2719%27 stroke=%27%23C39DFF%27 stroke-width=%272%27/%3E%3Crect x=%271%27 y=%271%27 width=%2738%27 height=%2738%27 rx=%2719%27 stroke=%27%2357CAF3%27 stroke-width=%272%27/%3E%3Crect x=%271%27 y=%271%27 width=%2738%27 height=%2738%27 rx=%2719%27 stroke=%27%2385BCFF%27 stroke-width=%272%27/%3E%3Cg clip-path=%27url%28%23clip0_566_28177%29%27%3E%3Cpath d=%27M15 23.9831C15.3414 24.3244 15.6741 24.6569 16.0088 24.9915C17.3339 23.667 18.6629 22.3385 19.9902 21.0122C21.3243 22.3458 22.6543 23.6752 23.9797 25C24.3256 24.6545 24.6583 24.322 24.9942 23.9862C23.6716 22.6641 22.3413 21.3347 21.0123 20.0062C22.3489 18.6702 23.6776 17.342 25 16.0202C24.6592 15.6795 24.3272 15.3476 23.9945 15.0151C22.6752 16.3339 21.3452 17.6633 20.0129 18.9951C18.6726 17.6554 17.3421 16.3254 16.0161 15C15.6765 15.3395 15.3438 15.6716 15.0079 16.0072C16.3321 17.3308 17.6623 18.6605 18.9938 19.9911C17.6563 21.328 16.3257 22.658 15 23.9831Z%27 fill=%27%23070707%27/%3E%3C/g%3E%3Cdefs%3E%3CclipPath id=%27clip0_566_28177%27%3E%3Crect width=%2710%27 height=%2710%27 fill=%27white%27 transform=%27matrix%28-1 0 0 1 25 15%29%27/%3E%3C/clipPath%3E%3C/defs%3E%3C/svg%3E");
  }
  .shop-regions-root .shop-regions-window-wrapper_open .shop-regions-window-wrapper__window {
    width: calc(100% - 32px);
    left: 16px;
    transform: none;
    padding: 24px;
  }
  .shop-regions-root .shop-regions-window-wrapper_open .shop-regions-window__header {
    font-size: 16px;
    line-height: 24px;
    margin-bottom: 8px;
  }
  .shop-regions-root .shop-regions-window-wrapper_open .shop-regions-window__sub-header,
  .shop-regions-root .shop-regions-window-wrapper_open .shop-regions-cities__not-found-text {
    font-size: 14px;
    line-height: 21px;
    margin-bottom: 24px;
  }
  .shop-regions-root .shop-regions-window-wrapper_open .shop-regions-window__regions_all .shop-regions-window__sub-header {
    font-size: 16px;
    line-height: 24px;
  }
  .shop-regions-root .shop-regions-window-wrapper_open .shop-regions-window__search,
  .shop-regions-root .shop-regions-window-wrapper_open .shop-regions-window__regions_popular,
  .shop-regions-root .shop-regions-window-wrapper_open .shop-regions-window__regions_all {
    border-bottom: 1px solid rgba(255, 255, 255, 0.4);
  }
  .breadcrumbs__container {
    width: -moz-max-content;
    width: max-content;
    min-width: 100%;
  }
  .wa-signup-form-wrapper {
    padding: 0px 16px;
  }
  .wa-signup-form-wrapper form input[type=submit],
  .wa-done-signup-button {
    border-radius: 12px;
  }
  .wa-login-form-wrapper {
    padding: 0px 16px;
  }
  .wa-login-form-wrapper .js-wa-form-item button,
  .wa-login-form-wrapper .wa-login-submit {
    border-radius: 12px;
  }
  .products__grid {
    gap: 56px 16px;
  }
  .products__grid--full .thumbs__slide {
    width: calc(33.33% - 11px);
  }
  .thumbs__top .thumbs__controls {
    display: none;
  }
  .thumbs__title {
    font-size: 24px;
    line-height: 28px;
  }
  .thumbs__controls {
    margin-top: 24px;
    justify-content: flex-end;
  }
  .thumbs__slider.swiper {
    padding-top: 16px;
  }
  .thumbs__slide.swiper-slide {
    width: calc(50% - 8px);
  }
  .thumbs__images::after {
    width: 145px;
    height: 80px;
    bottom: -18px;
  }
  .product-item .product_image_slider {
    display: flex;
    overflow-x: auto;
    scroll-snap-type: x mandatory;
    container-type: inline-size;
    scrollbar-width: none;
    -ms-overflow-style: none;
    -webkit-overflow-scrolling: touch;
  }
  .product-item .product_image_slider::-webkit-scrollbar {
    display: none;
  }
  .product-item .product_image_slider .image-item {
    opacity: 1;
    position: relative;
    min-width: 100%;
    flex-shrink: 0;
    inset: auto;
    pointer-events: auto;
    scroll-snap-align: center;
  }
  .product-item .product_image_slider .image-frame {
    max-width: 100cqw !important;
    position: relative;
    height: auto;
  }
  .product-item .product_image_slider .loader {
    display: flex;
    /* or block, match your loader's normal display */
  }
  .product-item .product_image_slider .image-item:has(.image-frame.loaded) .loader {
    display: none;
  }
  .product-item .product_image_slider .image-zone {
    display: none;
  }
  .product-item .product_image_slider .slider-indicators {
    display: none;
  }
  .add-to-cart__button {
    border-radius: 12px;
  }
  .posts {
    margin-bottom: 40px;
  }
  .posts__title {
    font-size: 24px;
    line-height: 28px;
  }
  .posts__controls {
    margin-top: 24px;
    justify-content: flex-end;
  }
  .post__item,
  .post__item.swiper-slide {
    width: calc(50% - 16px);
  }
  .post__imagebox {
    margin-bottom: 8px;
    border-radius: 16px;
  }
  .post__imagebox::before {
    border-radius: 16px;
  }
  .post__imagebox::after {
    width: 145px;
    height: 80px;
    bottom: -18px;
  }
  .post__title {
    font-size: 14px;
    line-height: 21px;
    margin-bottom: 8px;
  }
  .post__text {
    font-size: 14px;
    line-height: 21px;
    max-height: 63px;
  }
  .mobile-menu {
    display: block;
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    z-index: 999;
    background-color: var(--surface-color);
    border-top: 1px solid rgba(89, 128, 255, 0.6980392157);
    box-shadow: 0px 0px 28px 0px rgba(87, 147, 243, 0.5019607843);
    transform: translateY(0);
    transition: transform 0.3s ease, opacity 0.3s ease;
    border-radius: 16px 16px 0 0;
  }
  .mobile-menu--hidden {
    transform: translateY(100%);
    opacity: 0;
    pointer-events: none;
  }
  .footer {
    padding-top: 40px;
    padding-bottom: var(--mobile-menu-height, 0px);
  }
  .footer__main {
    display: none;
  }
  .footer__bottom {
    background-color: var(--surface-color);
  }
  .footer__bottom .footer__container {
    flex-direction: column;
    align-items: flex-start;
    gap: 8px;
    opacity: 0.8;
  }
  .footer__author {
    width: 100%;
    justify-content: space-between;
  }
  .hero {
    margin: 16px 0 40px;
  }
  .hero__slider {
    height: 485px;
    border-radius: 16px;
  }
  .hero__block {
    margin: 16px;
  }
  .hero__description {
    margin-bottom: 16px;
  }
  .hero__button {
    border-radius: 12px;
  }
  .hero__pagination.swiper-pagination-clickable.swiper-pagination-bullets.swiper-pagination-horizontal .swiper-pagination-bullet {
    width: 54px;
  }
  .hero__controls {
    display: flex;
    align-items: center;
    gap: 16px;
    margin-top: 24px;
    justify-content: flex-end;
  }
  .hero__nav {
    width: 48px;
    height: 48px;
    transform: none;
    top: auto;
    left: auto;
    right: auto;
  }
  .hero__nav svg {
    width: 100%;
    height: 100%;
  }
  .advantages__row {
    overflow: auto;
    margin-left: -16px;
    margin-right: -16px;
    padding: 0 16px;
    scrollbar-width: none;
    -ms-overflow-style: none;
  }
  .advantages__row::-webkit-scrollbar {
    display: none;
  }
  .advantages__controls {
    display: flex;
    margin-top: 24px;
    justify-content: flex-end;
  }
  .advantages__item {
    min-width: 232px;
  }
  .about {
    padding: 0 0 40px;
  }
  .about__container {
    flex-direction: column;
  }
  .about__wrapper {
    margin-left: 0;
    max-width: 100%;
  }
  .about__title {
    font-size: 24px;
    line-height: 28px;
  }
  .about__link {
    border-radius: 12px;
  }
  .works {
    margin-bottom: 40px;
  }
  .works__title {
    font-size: 24px;
    line-height: 28px;
  }
  .works__controls {
    margin-top: 24px;
    justify-content: flex-end;
  }
  .works__slider.swiper {
    height: 207px;
  }
  .works__slide.swiper-slide {
    width: 260px;
  }
  .works__slide.swiper-slide:not(:last-child) {
    margin-right: 16px;
  }
  .works__img {
    height: 100%;
    -o-object-fit: cover;
       object-fit: cover;
  }
  .partners__title {
    font-size: 24px;
    line-height: 28px;
  }
  .partners__list {
    overflow: auto;
    margin-left: -16px;
    margin-right: -16px;
    padding: 0 16px;
    scrollbar-width: none;
    -ms-overflow-style: none;
  }
  .partners__list::-webkit-scrollbar {
    display: none;
  }
  .partners__list {
    flex-wrap: nowrap;
  }
  .partners__controls {
    display: flex;
    margin-top: 24px;
    justify-content: flex-end;
  }
  .partners__item {
    min-width: 260px;
    height: 260px;
  }
  .banner__wrapper {
    padding: 16px;
    flex-direction: column;
    gap: 16px;
  }
  .banner__bg {
    height: auto;
    top: auto;
    bottom: 0;
  }
  .banner__title {
    font-size: 24px;
    line-height: 28px;
  }
  .banner__link {
    border-radius: 12px;
  }
  .banner__link {
    margin-bottom: 90px;
  }
}
@media (max-width: 600px) {
  .products__grid .thumbs__slide {
    width: calc(50% - 8px);
  }
  .products__grid--full .thumbs__slide {
    width: calc(50% - 8px);
  }
}
@media (min-width: 769px) {
  html {
    min-width: 1000px;
    overflow-x: auto;
  }
  a:hover {
    color: var(--primary-color);
  }
}
/*!***************************************************************************************************************************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js!./node_modules/postcss-loader/dist/cjs.js??ruleSet[1].rules[2].use[2]!./node_modules/sass-loader/dist/cjs.js??ruleSet[1].rules[2].use[3]!./node_modules/swiper/modules/pagination.css ***!
  \***************************************************************************************************************************************************************************************************************************************/
:root {
  /*
  --swiper-pagination-color: var(--swiper-theme-color);
  --swiper-pagination-left: auto;
  --swiper-pagination-right: 8px;
  --swiper-pagination-bottom: 8px;
  --swiper-pagination-top: auto;
  --swiper-pagination-fraction-color: inherit;
  --swiper-pagination-progressbar-bg-color: rgba(0,0,0,0.25);
  --swiper-pagination-progressbar-size: 4px;
  --swiper-pagination-bullet-size: 8px;
  --swiper-pagination-bullet-width: 8px;
  --swiper-pagination-bullet-height: 8px;
  --swiper-pagination-bullet-border-radius: 50%;
  --swiper-pagination-bullet-inactive-color: #000;
  --swiper-pagination-bullet-inactive-opacity: 0.2;
  --swiper-pagination-bullet-opacity: 1;
  --swiper-pagination-bullet-horizontal-gap: 4px;
  --swiper-pagination-bullet-vertical-gap: 6px;
  */
}

.swiper-pagination {
  position: absolute;
  text-align: center;
  transition: 300ms opacity;
  transform: translate3d(0, 0, 0);
  z-index: 10;
  &.swiper-pagination-hidden {
    opacity: 0;
  }
  .swiper-pagination-disabled > &,
  &.swiper-pagination-disabled {
    display: none !important;
  }
}

/* Common Styles */
.swiper-pagination-fraction,
.swiper-pagination-custom,
.swiper-horizontal > .swiper-pagination-bullets,
.swiper-pagination-bullets.swiper-pagination-horizontal {
  bottom: var(--swiper-pagination-bottom, 8px);
  top: var(--swiper-pagination-top, auto);
  left: 0;
  width: 100%;
}

/* Bullets */
.swiper-pagination-bullets-dynamic {
  overflow: hidden;
  font-size: 0;
  .swiper-pagination-bullet {
    transform: scale(0.33);
    position: relative;
  }
  .swiper-pagination-bullet-active {
    transform: scale(1);
  }
  .swiper-pagination-bullet-active-main {
    transform: scale(1);
  }
  .swiper-pagination-bullet-active-prev {
    transform: scale(0.66);
  }
  .swiper-pagination-bullet-active-prev-prev {
    transform: scale(0.33);
  }
  .swiper-pagination-bullet-active-next {
    transform: scale(0.66);
  }
  .swiper-pagination-bullet-active-next-next {
    transform: scale(0.33);
  }
}

.swiper-pagination-bullet {
  width: var(--swiper-pagination-bullet-width, var(--swiper-pagination-bullet-size, 8px));
  height: var(--swiper-pagination-bullet-height, var(--swiper-pagination-bullet-size, 8px));
  display: inline-block;
  border-radius: var(--swiper-pagination-bullet-border-radius, 50%);
  background: var(--swiper-pagination-bullet-inactive-color, #000);
  opacity: var(--swiper-pagination-bullet-inactive-opacity, 0.2);
  button& {
    border: none;
    margin: 0;
    padding: 0;
    box-shadow: none;
    -webkit-appearance: none;
       -moz-appearance: none;
            appearance: none;
  }
  .swiper-pagination-clickable & {
    cursor: pointer;
  }
  &:only-child {
    display: none !important;
  }
}

.swiper-pagination-bullet-active {
  opacity: var(--swiper-pagination-bullet-opacity, 1);
  background: var(--swiper-pagination-color, var(--swiper-theme-color));
}

.swiper-vertical > .swiper-pagination-bullets,
.swiper-pagination-vertical.swiper-pagination-bullets {
  right: var(--swiper-pagination-right, 8px);
  left: var(--swiper-pagination-left, auto);
  top: 50%;
  transform: translate3d(0px, -50%, 0);
  .swiper-pagination-bullet {
    margin: var(--swiper-pagination-bullet-vertical-gap, 6px) 0;
    display: block;
  }
  &.swiper-pagination-bullets-dynamic {
    top: 50%;
    transform: translateY(-50%);
    width: 8px;
    .swiper-pagination-bullet {
      display: inline-block;
      transition: 200ms transform, 200ms top;
    }
  }
}

.swiper-horizontal > .swiper-pagination-bullets,
.swiper-pagination-horizontal.swiper-pagination-bullets {
  .swiper-pagination-bullet {
    margin: 0 var(--swiper-pagination-bullet-horizontal-gap, 4px);
  }
  &.swiper-pagination-bullets-dynamic {
    left: 50%;
    transform: translateX(-50%);
    white-space: nowrap;
    .swiper-pagination-bullet {
      transition: 200ms transform, 200ms left;
    }
  }
}

.swiper-horizontal.swiper-rtl > .swiper-pagination-bullets-dynamic .swiper-pagination-bullet {
  transition: 200ms transform, 200ms right;
}

/* Fraction */
.swiper-pagination-fraction {
  color: var(--swiper-pagination-fraction-color, inherit);
}

/* Progress */
.swiper-pagination-progressbar {
  background: var(--swiper-pagination-progressbar-bg-color, rgba(0, 0, 0, 0.25));
  position: absolute;
  .swiper-pagination-progressbar-fill {
    background: var(--swiper-pagination-color, var(--swiper-theme-color));
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    transform: scale(0);
    transform-origin: left top;
  }
  .swiper-rtl & .swiper-pagination-progressbar-fill {
    transform-origin: right top;
  }
  .swiper-horizontal > &,
  &.swiper-pagination-horizontal,
  .swiper-vertical > &.swiper-pagination-progressbar-opposite,
  &.swiper-pagination-vertical.swiper-pagination-progressbar-opposite {
    width: 100%;
    height: var(--swiper-pagination-progressbar-size, 4px);
    left: 0;
    top: 0;
  }
  .swiper-vertical > &,
  &.swiper-pagination-vertical,
  .swiper-horizontal > &.swiper-pagination-progressbar-opposite,
  &.swiper-pagination-horizontal.swiper-pagination-progressbar-opposite {
    width: var(--swiper-pagination-progressbar-size, 4px);
    height: 100%;
    left: 0;
    top: 0;
  }
}

.swiper-pagination-lock {
  display: none;
}
/*!***************************************************************************************************************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js!./node_modules/postcss-loader/dist/cjs.js??ruleSet[1].rules[2].use[2]!./node_modules/sass-loader/dist/cjs.js??ruleSet[1].rules[2].use[3]!./node_modules/swiper/swiper.css ***!
  \***************************************************************************************************************************************************************************************************************************/
/**
 * Swiper 12.2.0
 * Most modern mobile touch slider and framework with hardware accelerated transitions
 * https://swiperjs.com
 *
 * Copyright 2014-2026 Vladimir Kharlampidi
 *
 * Released under the MIT License
 *
 * Released on: May 27, 2026
 */
:root {
  --swiper-theme-color: #007aff;
  /*
  --swiper-preloader-color: var(--swiper-theme-color);
  --swiper-wrapper-transition-timing-function: initial;
  */
}

:host {
  position: relative;
  display: block;
  margin-left: auto;
  margin-right: auto;
  z-index: 1;
}

.swiper {
  margin-left: auto;
  margin-right: auto;
  position: relative;
  overflow: hidden;
  list-style: none;
  padding: 0;
  /* Fix of Webkit flickering */
  z-index: 1;
  display: block;
}

.swiper-vertical > .swiper-wrapper {
  flex-direction: column;
}

.swiper-wrapper {
  position: relative;
  width: 100%;
  height: 100%;
  z-index: 1;
  display: flex;
  transition-property: transform;
  transition-timing-function: var(--swiper-wrapper-transition-timing-function, initial);
  box-sizing: content-box;
}

.swiper-android .swiper-slide,
.swiper-ios .swiper-slide,
.swiper-wrapper {
  transform: translate3d(0px, 0, 0);
}

.swiper-horizontal {
  touch-action: pan-y;
}

.swiper-vertical {
  touch-action: pan-x;
}

.swiper-slide {
  flex-shrink: 0;
  width: 100%;
  height: 100%;
  position: relative;
  transition-property: transform;
  display: block;
}

.swiper-slide-invisible-blank {
  visibility: hidden;
}

/* Auto Height */
.swiper-autoheight,
.swiper-autoheight .swiper-slide {
  height: auto;
}

.swiper-autoheight .swiper-wrapper {
  align-items: flex-start;
  transition-property: transform, height;
}

.swiper-backface-hidden .swiper-slide {
  transform: translateZ(0);
  backface-visibility: hidden;
}

/* 3D Effects */
.swiper-3d.swiper-css-mode .swiper-wrapper {
  perspective: 1200px;
}

.swiper-3d .swiper-wrapper {
  transform-style: preserve-3d;
}

.swiper-3d {
  perspective: 1200px;
  .swiper-slide,
  .swiper-cube-shadow {
    transform-style: preserve-3d;
  }
}

/* CSS Mode */
.swiper-css-mode {
  > .swiper-wrapper {
    overflow: auto;
    scrollbar-width: none; /* For Firefox */
    -ms-overflow-style: none; /* For Internet Explorer and Edge */
    &::-webkit-scrollbar {
      display: none;
    }
  }
  > .swiper-wrapper > .swiper-slide {
    scroll-snap-align: start start;
  }
  &.swiper-horizontal {
    > .swiper-wrapper {
      scroll-snap-type: x mandatory;
    }
    > .swiper-wrapper > .swiper-slide:first-child {
      margin-inline-start: var(--swiper-slides-offset-before);
      scroll-margin-inline-start: var(--swiper-slides-offset-before);
    }
    > .swiper-wrapper > .swiper-slide:last-child {
      margin-inline-end: var(--swiper-slides-offset-after);
    }
  }
  &.swiper-vertical {
    > .swiper-wrapper {
      scroll-snap-type: y mandatory;
    }
    > .swiper-wrapper > .swiper-slide:first-child {
      margin-block-start: var(--swiper-slides-offset-before);
      scroll-margin-block-start: var(--swiper-slides-offset-before);
    }
    > .swiper-wrapper > .swiper-slide:last-child {
      margin-block-end: var(--swiper-slides-offset-after);
    }
  }
  &.swiper-free-mode {
    > .swiper-wrapper {
      scroll-snap-type: none;
    }
    > .swiper-wrapper > .swiper-slide {
      scroll-snap-align: none;
    }
  }
  &.swiper-centered {
    > .swiper-wrapper::before {
      content: "";
      flex-shrink: 0;
      order: 9999;
    }
    > .swiper-wrapper > .swiper-slide {
      scroll-snap-align: center center;
      scroll-snap-stop: always;
    }
  }
  &.swiper-centered.swiper-horizontal {
    > .swiper-wrapper > .swiper-slide:first-child {
      margin-inline-start: var(--swiper-centered-offset-before);
    }
    > .swiper-wrapper::before {
      height: 100%;
      min-height: 1px;
      width: var(--swiper-centered-offset-after);
    }
  }
  &.swiper-centered.swiper-vertical {
    > .swiper-wrapper > .swiper-slide:first-child {
      margin-block-start: var(--swiper-centered-offset-before);
    }
    > .swiper-wrapper::before {
      width: 100%;
      min-width: 1px;
      height: var(--swiper-centered-offset-after);
    }
  }
}

/* Slide styles start */
/* 3D Shadows */
.swiper-3d {
  .swiper-slide-shadow,
  .swiper-slide-shadow-left,
  .swiper-slide-shadow-right,
  .swiper-slide-shadow-top,
  .swiper-slide-shadow-bottom,
  .swiper-slide-shadow,
  .swiper-slide-shadow-left,
  .swiper-slide-shadow-right,
  .swiper-slide-shadow-top,
  .swiper-slide-shadow-bottom {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    pointer-events: none;
    z-index: 10;
  }
  .swiper-slide-shadow {
    background: rgba(0, 0, 0, 0.15);
  }
  .swiper-slide-shadow-left {
    background-image: linear-gradient(to left, rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0));
  }
  .swiper-slide-shadow-right {
    background-image: linear-gradient(to right, rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0));
  }
  .swiper-slide-shadow-top {
    background-image: linear-gradient(to top, rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0));
  }
  .swiper-slide-shadow-bottom {
    background-image: linear-gradient(to bottom, rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0));
  }
}

.swiper-lazy-preloader {
  width: 42px;
  height: 42px;
  position: absolute;
  left: 50%;
  top: 50%;
  margin-left: -21px;
  margin-top: -21px;
  z-index: 10;
  transform-origin: 50%;
  box-sizing: border-box;
  border: 4px solid var(--swiper-preloader-color, var(--swiper-theme-color));
  border-radius: 50%;
  border-top-color: transparent;
}

.swiper:not(.swiper-watch-progress),
.swiper-watch-progress .swiper-slide-visible {
  .swiper-lazy-preloader {
    animation: swiper-preloader-spin 1s infinite linear;
  }
}

.swiper-lazy-preloader-white {
  --swiper-preloader-color: #fff;
}

.swiper-lazy-preloader-black {
  --swiper-preloader-color: #000;
}

@keyframes swiper-preloader-spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
/* Slide styles end */
